<f:layout name="Default" />
<f:section name="main">

	<div class="poll-teaser card">
		<f:if condition="{settings.teaserHeadline}">
			<f:then>
				<div class="card-header">{settings.teaserHeadline}</div>
			</f:then>
			<f:else>
				<div class="card-header"><f:translate key="tx_poll_label.poll"/></div>
			</f:else>
		</f:if>
		<f:if condition="{poll}">
			<f:then>
				<f:if condition="{poll.image}">
					<f:image treatIdAsReference="1"
							 src="{poll.image.uid}"
							 title="{poll.image.properties.title}"
							 class="card-img-top"
							 alt="{poll.image.properties.alternative}" />
				</f:if>
				<div class="card-body">
					<f:if condition="{poll.title}">
						<h5 class="poll-title card-title">{poll.title}</h5>
					</f:if>
					<f:if condition="{poll.description}">
						<div class="poll-description card-text">
							<f:format.html>{poll.description}</f:format.html>
						</div>
					</f:if>
					<div class="poll-participate">
						<f:if condition="{settings.detail.defaultPid}">
							<f:then>
								<f:link.action action="show"
											   controller="Poll"
											   arguments="{poll: poll}"
											   pageUid="{settings.detail.defaultPid}"
											   class="btn btn-primary"><f:translate key="tx_poll_label.take_part"/></f:link.action>
							</f:then>
							<f:else>
								<div class="alert alert-danger">Please set a page uid for displaying the poll in TypoScript or Plugin</div>
							</f:else>
						</f:if>
					</div>
				</div>
			</f:then>
			<f:else>
				<div class="card-body">
					<div class="alert alert-info"><f:translate key="tx_poll_label.poll_not_found" /></div>
				</div>
			</f:else>
		</f:if>
	</div>

</f:section>
